=== src/ncgen/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for ncgen(1).
 #
-# $Id: Makefile,v 1.36 2001/05/24 21:46:08 steve Exp $
+# $Id: Makefile,v 1.40 2004/12/18 18:08:01 ed Exp $
 
 include ../macros.make
 
@@ -23,7 +23,9 @@
 PACKING_LIST	= Makefile depend escapes.c generic.h \
 		  ncgenyy.c ncgentab.c ncgentab.h \
 		  genlib.c genlib.h getfill.c init.c load.c \
-		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl
+		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl \
+		  lfs-tests bigf1.cdl bigf2.cdl bigf3.cdl \
+		  bigr1.cdl bigr2.cdl bigr3.cdl install-sh
 
 OBJS		= main.o load.o ncgentab.o escapes.o \
 		  getfill.o init.o genlib.o
@@ -54,25 +56,12 @@
 #
 ncgentab.c \
 ncgentab.h:	ncgen.y ncgenyy.c ncgen.h
-	@case `uname` in \
-	OSF1) \
 	    echo 1>&2 "(expect 1 shift/reduce conflict)"; \
 	    set -x; \
 	    $(yacc) -d ncgen.y; \
 	    cat y.tab.c >ncgentab.c && rm y.tab.c; \
 	    cat y.tab.h >ncgentab.h && rm y.tab.h; \
-	    set +x; \
-	    ;; \
-	*)  echo 1>&2 "Warning: $@ is out-of-date with respect to ncgen.y"; \
-	    echo 1>&2 "Warning: It should be recreated via $(yacc)" \
-		"on an OSF/1 system"; \
-	    : set -x; \
-	    : $(yacc) -d ncgen.y; \
-	    : mv y.tab.c ncgentab.c; \
-	    : mv y.tab.h ncgentab.h; \
-	    : set +x; \
-	    ;; \
-	esac
+	    set +x; 
 
 # "cat >" is used in the following rule to support linktree(1)-style
 # development and testing on a Solaris system.  "mv" is used to support
@@ -161,6 +150,11 @@
 	./ftest
 	$(NCDUMP) -n c1 ftest0.nc > ftest1.cdl
 
+# Run large file tests. User should set TEMP_LARGE to some place with
+# lots of disk space, otherwise current directory will be used.
+extra_test:
+	./lfs-tests $(TEMP_LARGE)
+
 netcdf.inc:
 	@if [ -n "$(FC)" ]; then \
 	    cp ../fortran/$@ .; \
