=== debian/changelog ===
netcdf-fortran (3.6.0-1) unstable; urgency=low

  * New upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 21 Dec 2004 18:54:11 +0900
