=== debian/control ===
Source: netcdf-fortran
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.1.1

Package: netcdf-ffc5
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ffc (>=5.0) | ffcpara (>=5.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Fujitsu Fortran&C compiler ver.5. 
 Alternative developer's package of NetCDF. 
 This package provides NetCDF static libraries
 for Fujitsu Fortran&C compiler.
