=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-#EXT=ffc
-#EXT=ffc3
-EXT=ffc4
+EXT=ffc5
 
 FC=frt
 CC=fcc
