## netcdf-fortran 3.6.0-p1-1

=== src/Makefile ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# $Id: Makefile,v 1.43 2004/01/27 14:08:14 ed Exp $
+# $Id: Makefile,v 1.64 2004/12/18 16:32:58 ed Exp $
 
 
 include macros.make
 
 
 PACKAGE		= netcdf
-SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx
+SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx win32
 DIST_GARBAGE	= \
 		config.cache	\
 		config.status	\
 		MANIFEST
 PACKING_LIST	= \
-		INSTALL.html	\
-		COMPATIBILITY	\
+		INSTALL	\
 		COPYRIGHT	\
 		MANIFEST	\
 		Makefile	\
@@ -23,6 +22,9 @@
 		configure	\
 		configure.in	\
 		macros.make.in	\
+		config.guess	\
+		config.sub	\
+		install-sh	\
 		rules.make
 
 # I moved fortran to the bottom of the list, sometimes AIX make get's confused 
@@ -37,12 +39,18 @@
 test:		fortran/all \
 		libsrc/test \
 		nc_test/test nctest/test \
-		nf_test/test fortran/test f90/test \
-		ncdump/test ncgen/test cxx/test
+		nf_test/test fortran/test \
+		ncdump/all ncgen/all f90/test \
+		ncdump/test ncgen/test cxx/test 
+
+extra_test:	test
+		cd ncgen; $(MAKE) extra_test; cd ../..
+		cd nc_test; $(MAKE) extra_test; cd ../..
 
 check:		test
 
-install:	libsrc/install \
+install:	all \
+		libsrc/install \
 		fortran/install \
 		f90/install \
 		ncdump/install \
@@ -189,6 +197,7 @@
 # Make a compressed, tar(1) file of the source distribution in the current 
 # directory.
 #
+
 tar.Z:		check_system FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version
@@ -198,31 +207,47 @@
 	&& rm -rf $$id \
 	&& mkdir $$id \
 	&& ln -s .. $$id/src \
-	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | compress > $@ \
+	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(COMPRESS) > $@ \
+	&& rm -r $$id
+
+tar.gz:		check_system FORCE
+	@version=`cat VERSION`; \
+	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.gz VERSION=$$version
+
+$(PACKAGE)-$(VERSION).tar.gz:	ensure_manifest MANIFEST
+	id=$(PACKAGE)-$(VERSION) \
+	&& rm -rf $$id \
+	&& mkdir $$id \
+	&& ln -s .. $$id/src \
+	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(ZIP) > $@ \
 	&& rm -r $$id
 
 MANIFEST:	FORCE
 	$(MAKE) MANIFEST.echo >$@
 
+# This isn't to install docs, it's to make the INSTALL doc.
+INSTALL: man/netcdf-install.texi
+	makeinfo -I man -o INSTALL --no-headers man/netcdf-install.texi
+
 # Make a compressed, tar(1) file of the source distribution in the
 # appropriate FTP directory.
 #
-# NOTE: Making "ftp" will cause the "tar.Z" file to be made even if it
+# NOTE: Making "ftp" will cause the "tar.gz" file to be made even if it
 # already exists.  This is because the MANIFEST file upon which it
 # depends must be remade every time.  This is not a waste of time,
-# however, if the "tar.Z" target is made in private directories and the
+# however, if the "tar.gz" target is made in private directories and the
 # "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
 #
 ftp:		check_system FORCE
 	version=`cat VERSION`; \
-	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.Z \
+	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.gz \
 	    VERSION=$$version; \
-	test -r $(FTPDIR)/$(PACKAGE).tar.Z || exit 0; \
+	test -r $(FTPDIR)/$(PACKAGE).tar.gz || exit 0; \
 	    cd $(FTPDIR) || exit 1;
 
-$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.Z:	$(PACKAGE)-$(VERSION).tar.Z
+$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.gz:	$(PACKAGE)-$(VERSION).tar.gz
 	rm -f $@
-	cp $(PACKAGE)-$(VERSION).tar.Z $@ 
+	cp $(PACKAGE)-$(VERSION).tar.gz $@ 
 	chmod u+rw,g+rw,o=r $@
 
 # Make a compressed, tar(1) file of the binary distribution in the
