=== src/fortran/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the FORTRAN interface to the netCDF library
 #
-# $Id: Makefile,v 1.28 2001/05/24 21:45:50 steve Exp $
+# $Id: Makefile,v 1.29 2004/12/18 18:08:01 ed Exp $
 
 
 include ../macros.make
@@ -65,7 +65,7 @@
 		  ncfortran.h	\
 		  netcdf.3f	\
 		  netcdf.inc	\
-		  nfconfig.in
+		  nfconfig.in install-sh
 #
