=== debian/changelog ===
netcdf-fortran (3.6.0-p1-1) unstable; urgency=low

  * New upstream release
  * Intel Fortran Compiler ver.8.1 support.

 -- MASUO Nakano <masuo@geo.kyushu-u.ac.jp>  Wed, 4 May 2005 01:10:14 +0900
