=== debian/control ===
Source: netcdf-fortran
Section: math
Priority: optional
Maintainer: MASUO Nakano <masuo@geo.kyushu-u.ac.jp>
Standards-Version: 3.1.1

Package: netcdf-ifc8.1
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ifc (>=8.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Intel Fortran compiler ver.8.1.
 Alternative developer's package of NetCDF. This package provides NetCDF 
 static libraries for Intel Fortran compiler for Linux.
