=== debian/rules ===
--- 
+++ 
@@ -2,26 +2,29 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-EXT=ffc5
+#EXT=ffc
+#EXT=ffc3
+#EXT=ffc4
+#EXT=ffc5
 
-FC=frt
-CC=fcc
-CXX=FCC
-CPPFLAGS=-DNAGf90Fortran
-F90FLAGS=-Am
-export CPPFLAGS
+#FC=frt
+#CC=fcc
+#CXX=FCC
+#CPPFLAGS=-DNAGf90Fortran
+#F90FLAGS=-Am
 
 #EXT=ifc
 #EXT=ifc6
 #EXT=ifc7
 #EXT=ifc7.1
 #EXT=ifc8
+EXT=ifc8.1
 #export FC=ifc
-#export FC=ifort
-#export CC=gcc
-#export CXX=g++
-#export CPPFLAGS=-DNAGf90Fortran
-#export F90FLAGS=-
+export FC=ifort
+export CC=gcc
+export CXX=g++
+export CPPFLAGS=-DNAGf90Fortran
+export F90FLAGS=
 
 package=netcdf-$(EXT)
 export DESTDIR=$(shell expr `pwd`/debian/tmp/usr)
