## netcdf-fortran 4.4.2

=== debian/changelog ===
netcdf-fortran (4.4.2-1) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 19:46:29 +0200

netcdf-fortran (4.4.2-1~exp5) experimental; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2-1~exp4 for serial HDF5.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 13:57:46 +0200

netcdf-fortran (4.4.2-1~exp4) experimental; urgency=medium

  * Require at least libnetcdf-dev 4.3.3.1.
  * Update watch file to handle other tar extensions in filenamemangle.
  * Move documentation build to build-indep target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 19:01:39 +0200

netcdf-fortran (4.4.2-1~exp3) experimental; urgency=medium

  * Add Breaks/Replaces on libnetcdf-dev to libnetcdff-dev.
    (closes: #789935)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 19:09:57 +0200

netcdf-fortran (4.4.2-1~exp2) experimental; urgency=medium

  * Update my email to use @debian.org address.
  * Add license & copyright for Apache-2.0 licensed files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jun 2015 21:29:18 +0200

netcdf-fortran (4.4.2-1~exp1) experimental; urgency=medium

  [ Ross Gammon ]
  * Initial release (Closes: #775524)
  * Build with latest gfortran (Closes: #751250)
  * Add fixed bug to changelog
  * Imported Upstream version 4.4.2
  * Refresh patches & drop patch applied upstream
  * Update copyright dates

  [ Bas Couwenberg ]
  * Improve initial Debian packaging.
  * Imported Upstream version 4.4.1
  * Update copyright file, add Texinfo sections.
  * Generate documentation.
  * Fix executable examples.
  * Add patch to fix privacy-breach-logo lintian error,
    by using the local logo image.
  * Fix netcdf_fortran.3 man page install.
  * Add patch to fix hyphen-used-as-minus-sign issues in man page.
  * Add symbols file for libnetcdff.
  * Mark hyphen-used-as-minus-sign.patch as Forwarded.
  * Mark hyphen-used-as-minus-sign.patch as Applied-Upstream.
  * Install RELEASE_NOTES.md as upstream changelog.

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 14 Feb 2015 00:20:06 +0100
